Sisimai::Reason::HostUnknown(3pm)

NAME
Sisimai::Reason::HostUnknown - Bounce reason is "hostunknown" or not.

SYNOPSIS
    use Sisimai::Reason::HostUnknown;
    print Sisimai::Reason::HostUnknown->match('550 5.2.1 Host Unknown');   # 1

DESCRIPTION
Sisimai::Reason::HostUnknown checks the bounce reason is "hostunknown" or not. This class is called only Sisimai::Reason class.

This is the error that a domain part (Right hand side of @ sign) of a recipient's email address does not exist. In many case, the domain part is misspelled, or the domain name has been expired. Sisimai will set "hostunknown" to the reason of email bounce if the value of Status: field in a bounce mail is 5.1.2.

    Your message to the following recipients cannot be delivered:

    <kijitora@example.cat>:
    <<< No such domain.

CLASS METHODS

  "text()"
"text()" returns string: "hostunknown".

    print Sisimai::Reason::HostUnknown->text;  # hostunknown

  "match(string)"
"match()" returns 1 if the argument matched with patterns defined in this class.

    print Sisimai::Reason::HostUnknown->match('550 5.2.1 Host Unknown');   # 1

  "true(Sisimai::Data)"
"true()" returns 1 if the bounce reason is "hostunknown". The argument must be Sisimai::Data object and this method is called only from Sisimai::Reason class.

AUTHOR
azumakuniyuki

COPYRIGHT
Copyright (C) 2014-2018 azumakuniyuki, All rights reserved.

LICENSE
This software is distributed under The BSD 2-Clause License.